require "luascape.reflect"

if not scape.reflect.TypeRegistry.containsNamespace("framework") then
  require "luascape.system"
  pcall(loadScapeLibrary, "frameworkreflectors")
end

reflect.makeNamespaceGlobal("scape::framework")

globals = scape.framework.GlobalPropertyMap.instance()
